This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 868257 - (mate-screensaver) Review Request: mate-screensaver - MATE Screensaver
Review Request: mate-screensaver - MATE Screensaver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On: MATE-DE-tracker
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 07:05 EDT by leigh scott
Modified: 2012-11-04 01:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-04 01:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description leigh scott 2012-10-19 07:05:27 EDT
Spec URL: http://leigh123linux.fedorapeople.org/pub/review/mate-screensaver/1/mate-screensaver.spec

SRPM URL: http://leigh123linux.fedorapeople.org/pub/review/mate-screensaver/1/mate-screensaver-1.4.0-1.fc17.src.rpm

Description: mate-screensaver is a screen saver and locker that aims to have
simple, sane, secure defaults and be well integrated with the desktop.

Fedora Account System Username: leigh123linux
Comment 1 Dan Mashal 2012-10-22 16:46:59 EDT
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Conflicts


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[ ]: Package contains no bundled libraries.
[ ]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[ ]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[ ]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[ ]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[ ]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[ ]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD like)",
     "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated". 4 files have unknown license. Detailed output of licensecheck
     in /home/dan/868257-mate-screensaver/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[ ]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     Note: Package contains Conflicts: tag(s) needing fix or justification.
[x]: Package do not use a name that already exist
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[ ]: Package is not relocatable.
[ ]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[ ]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[ ]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mate-screensaver-1.4.0-1.fc18.src.rpm
          mate-screensaver-debuginfo-1.4.0-1.fc18.x86_64.rpm
          mate-screensaver-devel-1.4.0-1.fc18.x86_64.rpm
          mate-screensaver-1.4.0-1.fc18.x86_64.rpm
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-command.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-theme-manager.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-theme-manager.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-popsquares.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-popsquares.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-prefs.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-prefs.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-preferences.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-debug.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-debug.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-job.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-auth.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-grab.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-grab-x11.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-auth-pam.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-job.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-fade.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-dialog.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-fade.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-monitor.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-engine.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-monitor.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-engine.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/popsquares.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/slideshow.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-window.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/floaters.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/copy-theme-dialog.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/copy-theme-dialog.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-gl-helper.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-listener-dbus.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-window.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-listener-dbus.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-window.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-watcher-x11.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-slideshow.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-slideshow.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-visual-gl.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-watcher.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-visual-gl.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-manager.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-manager.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-lock-plug.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-lock-plug.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-window-x11.c
mate-screensaver-devel.x86_64: W: no-documentation
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/menus/mate-screensavers.menu
mate-screensaver.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-screensaver-1.4.0/COPYING
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/mate-screensaver.desktop
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-screensaver.schemas
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/pam.d/mate-screensaver
mate-screensaver.x86_64: W: dangerous-command-in-%pre rm
mate-screensaver.x86_64: W: dangerous-command-in-%post rm
4 packages and 0 specfiles checked; 48 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint mate-screensaver-devel mate-screensaver mate-screens 
aver-debuginfo
mate-screensaver-devel.x86_64: W: no-documentation
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/menus/mate-screensavers.menu
mate-screensaver.x86_64: E: incorrect-fsf-address /usr/share/doc/mate-screensaver-1.4.0/COPYING
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/xdg/autostart/mate-screensaver.desktop
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/mateconf/schemas/mate-screensaver.schemas
mate-screensaver.x86_64: W: non-conffile-in-etc /etc/pam.d/mate-screensaver
mate-screensaver.x86_64: W: dangerous-command-in-%pre rm
mate-screensaver.x86_64: W: dangerous-command-in-%post rm
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-command.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-theme-manager.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-theme-manager.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-popsquares.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-popsquares.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-prefs.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-prefs.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-preferences.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-debug.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-debug.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-job.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-auth.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-grab.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-grab-x11.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-auth-pam.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-job.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-fade.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-dialog.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-fade.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-monitor.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-engine.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-monitor.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-engine.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/popsquares.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/slideshow.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-window.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/floaters.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/copy-theme-dialog.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/copy-theme-dialog.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/mate-screensaver-gl-helper.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-listener-dbus.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-window.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-listener-dbus.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gs-theme-window.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-watcher-x11.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-slideshow.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/savers/gste-slideshow.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-visual-gl.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-watcher.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-visual-gl.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-manager.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-manager.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-lock-plug.c
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-lock-plug.h
mate-screensaver-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/mate-screensaver-1.4.0/src/gs-window-x11.c
3 packages and 0 specfiles checked; 48 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
mate-screensaver-debuginfo-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

mate-screensaver-devel-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    mate-screensaver(x86-64) = 1.4.0-1.fc18

mate-screensaver-1.4.0-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    libGL.so.1()(64bit)
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libXext.so.6()(64bit)
    libXss.so.1()(64bit)
    libXxf86misc.so.1()(64bit)
    libXxf86vm.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcrypt.so.1()(64bit)
    libdbus-1.so.3()(64bit)
    libdbus-glib-1.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmate-desktop-2.so.17()(64bit)
    libmate-menu.so.2()(64bit)
    libmateconf-2.so.4()(64bit)
    libmatekbd.so.4()(64bit)
    libmatekbdui.so.4()(64bit)
    libmatenotify.so.1()(64bit)
    libpam.so.0()(64bit)
    libpam.so.0(LIBPAM_1.0)(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libstartup-notification-1.so.0()(64bit)
    libxklavier.so.16()(64bit)
    mate-backgrounds
    mate-conf
    mate-keyring-pam
    redhat-menus
    rtld(GNU_HASH)
    system-logos



Provides
--------
mate-screensaver-debuginfo-1.4.0-1.fc18.x86_64.rpm:
    
    mate-screensaver-debuginfo = 1.4.0-1.fc18
    mate-screensaver-debuginfo(x86-64) = 1.4.0-1.fc18

mate-screensaver-devel-1.4.0-1.fc18.x86_64.rpm:
    
    mate-screensaver-devel = 1.4.0-1.fc18
    mate-screensaver-devel(x86-64) = 1.4.0-1.fc18
    pkgconfig(mate-screensaver) = 1.4.0

mate-screensaver-1.4.0-1.fc18.x86_64.rpm:
    
    mate-screensaver = 1.4.0-1.fc18
    mate-screensaver(x86-64) = 1.4.0-1.fc18



MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-screensaver-1.4.0.tar.xz :
  CHECKSUM(SHA256) this package     : aa74ddffe85b262af7348e1301a987691644fc9bbfd39525e7a082ce5c5c6a0a
  CHECKSUM(SHA256) upstream package : aa74ddffe85b262af7348e1301a987691644fc9bbfd39525e7a082ce5c5c6a0a
Comment 2 Dan Mashal 2012-10-22 16:51:02 EDT
SHOULD: 

1) Look into why 2 screen saver entries get created in system menu.

Optional: 

1) Add mate-desktop as a requires field. I don't think anyone will be installing this package from other DE's. So it's in between should and optional.


Verified tested and working.


APPROVED.
Comment 3 leigh scott 2012-10-22 17:12:09 EDT
New Package SCM Request
=======================
Package Name: mate-screensaver
Short Description: MATE Screensaver
Owners: leigh123linux rdieter vicodan
Branches: f16 f17 f18 
InitialCC::
Comment 4 Jon Ciesla 2012-10-22 21:11:58 EDT
Script error, please submit Package Change for f16-18.  Sorry for the
inconvenience.
Comment 5 Dan Mashal 2012-10-23 00:09:02 EDT
Package Change Request
======================
Package Name: mate-screensaver
New Branches: f16 f17 f18
Owners: leigh123linux rdieter vicodan
Comment 6 Jon Ciesla 2012-10-23 07:35:46 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-23 08:05:36 EDT
mate-screensaver-1.4.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-screensaver-1.4.0-2.fc18
Comment 8 Fedora Update System 2012-10-23 08:05:55 EDT
mate-screensaver-1.4.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-screensaver-1.4.0-2.fc17
Comment 9 Fedora Update System 2012-10-23 15:47:50 EDT
mate-screensaver-1.4.0-2.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.